import 'package:guru_rating/core/models.dart';

mixin PropertyAware {
  Future<bool> isRated();

  Future setRated();

  /// millisecondsSinceEpoch
  Future<int> getLatestPopRateGuideTime();

  Future refreshLatestPopRateGuideTime();

  /// millisecondsSinceEpoch
  Future<int> getFirstInstallTime();
}

mixin RemoteConfigAware {
  Future<RatingModel?> getRateConfig();
}
